@import "src/stylesheets/variables";

.analysis {
  position: absolute !important;
  height: 100% !important;
  width: 100% !important;
}

.tab-header-small {
  padding: 0 !important;
}

.network-view-settings {
  // remove margin from tab header when network is displayed, so that network
  // does not disappear in empty border
  padding-left: 0 !important;
  padding-right: 0 !important;
  .tabs {
    margin: 0;
  }
  .tab-content {
    width: 100%;
    height: calc(100% - #{$network-header-height} - #{$analysis-tab-header-height});
  }
}

.tabs-header {
  height: $analysis-tab-header-height;
}

.parameter-table, .parameter-tab {
  width: 100% !important;
  overflow-y: scroll;
  height: 80%;
}

.tab-content {
  visibility: hidden;
  position: absolute;
  &.is-visible {
    visibility: visible;
  }
  &.scrollable {
    overflow-y: auto;
    padding-right: 10px;
  }
  &.table-tab {
    // 100% - #{$network-header-height} - #{$analysis-tab-header-height} - normalization-button
    height: calc(100% - 40px - 1.5rem - 72px - 6px);
  }

  h4 {
    margin-top: 60px;
  }
}

.checkbox-col {
  width: 50px;
}

.meta {
  table {
    width: 500px;
    td {
      width: 50px;
    }
  }

}

.tooltip-button {
  font-size: 10px;
  width: 10px;
}

.scroll-y{
  overflow-y: auto;
}

.legend {
  z-index: $analysis-network-legend-z !important;
}

div.dropdown-list {
  padding: 0 !important;
  border-radius: 5px !important;
  right: 0;
  left: auto !important;
  background-color: var(--drgstn-background);
  min-width: $menu-width !important;
  width: auto;
}

div.control.dropdown {
  margin-bottom: 0.4rem;
}

.dropdown-menu {
  z-index: $menu-z-index !important;
}

.inner-dropdown {
  padding-bottom: 0 !important;

  .dropdown-menu {
    margin-left: calc(150px - 15px);
    width: 150px;
    margin-top: -45px;

    .dropdown-content {
      padding-left: 0.5rem;
      padding-right: 0.5rem;

      .dropdown-item {
        padding: .375rem !important;
      }
    }
  }
}

.version-text {
  font-size: .6rem !important;
  padding-bottom: 0 !important;
}

